package io.renren;

import io.renren.modules.app.utils.JwtUtils;
import org.hibernate.validator.internal.engine.constraintvalidation.PredefinedScopeConstraintValidatorManagerImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;


@RunWith(SpringRunner.class)
@SpringBootTest
public class JwtTest {
    @Autowired
    private JwtUtils jwtUtils;

    @Test
    public void test() {
        String token = jwtUtils.generateToken(1);

        System.out.println(token);
    }

    @Test
    public void test2(){
        ArrayList<Object> objects = new ArrayList<>();
        objects.add("第一个");
        objects.add("第二个");
        System.out.println(objects.get(0));
        System.out.println(objects.get(1));
    }

}
